Out of memory while running dada2 denoise-paired

Thank you very much sir. I have successfully imported my raw data into qiime2 artifact!

However, I facing a problem on denoising the data using dada plug in.
My demux file can be obtained from https://www.dropbox.com/s/7gna41d2lmy5j9z/demux.qzv?dl=0.

I ran the commands as follows:
qiime dada2 denoise-paired \

–i-demultiplexed-seqs demux.qza
–p-trim-left-f 5
–p-trim-left-r 5
–p-trunc-len-f 284
–p-trunc-len-r 255
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats stats.qza

After almost 2 hours of running, it resulted in Plug in error:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpc10jnsao/forward /tmp/tmpc10jnsao/reverse /tmp/tmpc10jnsao/output.tsv.biom /tmp/tmpc10jnsao/track.tsv /tmp/tmpc10jnsao/filt_f /tmp/tmpc10jnsao/filt_r 284 255 5 5 2.0 2 consensus 1.0 1 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering …
  2. Learning Error Rates
    2a) Forward Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 208306 reads in 16532 unique sequences.
    Sample 2 - 266625 reads in 50971 unique sequences.
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 229, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2018.6/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpc10jnsao/forward’, ‘/tmp/tmpc10jnsao/reverse’, ‘/tmp/tmpc10jnsao/output.tsv.biom’, ‘/tmp/tmpc10jnsao/track.tsv’, ‘/tmp/tmpc10jnsao/filt_f’, ‘/tmp/tmpc10jnsao/filt_r’, ‘284’, ‘255’, ‘5’, ‘5’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status -9

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2018.6/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 232, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 367, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 244, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

May I know what’s exactly happening? I wonder if the trunc-len for forward and reverse should be identical? Looking for constructive advice.

Thanks.

This error indicates that you are running out of memory. You will need to run on a more powerful machine if you have access to one, increase the memory available to your VM (if that’s how you are running QIIME 2), or run on an AWS instance if you have no other options — see the various posts at that link for more details.

No, these do not need to be identical.

I hope that helps!

An off-topic reply has been split into a new topic: Does demux summarize summarize on a subset of reads?

Please keep replies on-topic in the future.

Hi @Benedict,
I have split off your new question to a new topic. Please post distinct questions to separate topics, it will increase the visibility of distinct questions to others on the forum, making these easier to read and answer.

Thanks!

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.